Bug 114543 - Kernel oopses when using 'credentials' mount option with CIFS module
Summary: Kernel oopses when using 'credentials' mount option with CIFS module
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-29 12:58 UTC by Didier
Modified: 2015-01-04 22:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 12:03:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CIFS kernel oops call trace (4.70 KB, text/plain)
2004-01-29 13:00 UTC, Didier
no flags Details

Description Didier 2004-01-29 12:58:39 UTC
Description of problem:
After adding a "credentials=..." mount option to a CIFS mount in an
automounter map file, the kernel oopses when trying to mount the share.


Version-Release number of selected component (if applicable):
kernel-2.6.1-1.52


How reproducible:
Always


Steps to Reproduce:
1. Add CIFS share to /etc/auto.auto
2. # mount /auto/dmbr-t


Actual results:
oops


Expected results:
CIFS network share mounted on designated automount mountpoint


Additional info:

1. autofs mount points :
dmbr-t
-fstype=cifs,credentials=/root/smb-credentials.dmb,uid=didier,gid=users
://dmbr/t
dmbr-u
-fstype=smbfs,credentials=/root/smb-credentials.dmb,uid=didier,gid=users
       ://dmbr/u

2. mounting dmbr-u used to work (before smbfs got depreciated)

3. The file "/root/smb-credentials.dmb" exists and is legitimate for
smbfs use.

Comment 1 Didier 2004-01-29 13:00:17 UTC
Created attachment 97330 [details]
CIFS kernel oops call trace

Comment 2 Dave Jones 2004-10-30 03:58:31 UTC
still a problem with current kernels ?
if so, you might get more luck reporting this to the upstream maintainers.
The Fedora kernel has no patches against CIFS, so should be exactly the same
upstream code.


Comment 3 Didier 2004-11-03 14:22:36 UTC
Thanks, I'll have a look at this with the kernel as supplied in the
FC3 final release.



Comment 4 Didier 2004-11-22 12:03:59 UTC
Verified fixed with kernel-2.6.9-1.678_FC3.


Note You need to log in before you can comment on or make changes to this bug.